Subject: FVWM: Buglet with FvwmButtons.c

From: "Douglas K. Rand" <[email-masked]>
Date: Mon, 5 Aug 1996 08:10:14 -0500

I think there is a problem with FvwmButtons.c:1105 when an invalid
font is specified.  Specifically, the if statement checks ub->font,
but then uses ub->c->font. I do not know enough about it to know which
is right. I ub->c->just changed my font specification to be correct. 

  if(ub->font)
    {
      gcv.font = ub->c->font->fid;
      gcm |= GCFont; 
    }

I got a core dump under FreeBSD 2.1.0, but didn't under Solaris 2.5. 

--
Douglas K. Rand                                              [email-masked]
System/Network Administrator      Scientific Computing Center -- UND Aerospace
Office: +1 701 777 2801                             University of North Dakota
FAX:    +1 701 777 2940                   Box 9022, Grand Forks ND  58202-9022
 echo '[q]sa[ln0=aln256%Pln256/snlbx]sb3135071790101768542287578439snlbxq'|dc
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].